# Uses of Class
org.kapott.hbci.tools.ParameterFinder.Query

Packages that use ParameterFinder.Query
Package
Description
org.kapott.hbci.tools
Dieses Package enthält diverse Tools zur Arbeit mit HBCI4Java.

## Uses of ParameterFinder.Query in org.kapott.hbci.tools

Fields in org.kapott.hbci.tools declared as ParameterFinder.Query
Modifier and Type
Field
Description
`static final ParameterFinder.Query`
ParameterFinder.Query.`BPD_PINTAN_CAN1STEP`
Informationen zur Verfuegbarkeit von Einschritt-Verfahren in den BPD.
`static final ParameterFinder.Query`
ParameterFinder.Query.`BPD_PINTAN_ORDERHASHMODE`
Information ueber den Order-Hashmode.
Methods in org.kapott.hbci.tools that return ParameterFinder.Query
Modifier and Type
Method
Description
`final ParameterFinder.Query`
ParameterFinder.Query.`withParameters(Object... parameters)`
Liefert eine neue Instanz des Querys mit gesetzten Parametern.
Methods in org.kapott.hbci.tools with parameters of type ParameterFinder.Query
Modifier and Type
Method
Description
`static Properties`
ParameterFinder.`find(Properties props, ParameterFinder.Query query)`
Sucht in props nach allen Schluesseln im genannten Pfad und liefert sie zurueck.
`static Properties`
ParameterFinder.`findAll(Properties props, ParameterFinder.Query query)`
Sucht in props nach allen Schluesseln im genannten Pfad und liefert sie zurueck.
`static String`
ParameterFinder.`getValue(Properties props, ParameterFinder.Query query, String defaultValue)`
Liefert einen einzelnen Wert.